#
# Conditional build:
%bcond_without	static_libs	# static library

Summary:	A simple library for font loading and glyph rasterization
Name:		fcft
Version:	3.1.10
Release:	1
License:	MIT
Group:		Development/Libraries
Source0:	https://codeberg.org/dnkl/fcft/releases/download/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	31ee61346fbfa9a9867182a4bf0ddd64
URL:		https://codeberg.org/dnkl/fcft
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel >= 2.12.0
BuildRequires:	harfbuzz-devel
BuildRequires:	libutf8proc-devel
BuildRequires:	meson >= 0.58.0
BuildRequires:	ninja
BuildRequires:	pixman-devel
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	scdoc
BuildRequires:	tllist-devel >= 1.0.1
BuildRequires:	wayland-devel
BuildRequires:	wayland-protocols
Requires:	freetype >= 2.12.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
fcft is a small font loading and glyph rasterization library built
on-top of FontConfig, FreeType2 and pixman.

It can load and cache fonts from a fontconfig-formatted name string,
e.g. Monospace:size=12, optionally with user configured fallback
fonts.

After a font has been loaded, you can rasterize glyphs. When doing so,
the primary font is first considered. If it does not have the
requested glyph, the user configured fallback fonts (if any) are
considered. If none of the user configured fallback fonts has the
requested glyph, the FontConfig generated list of fallback fonts are
checked.

%package devel
Summary:	Header files for the fcft library
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	fontconfig-devel
Requires:	freetype-devel >= 2
Requires:	harfbuzz-devel
Requires:	libutf8proc-devel
Requires:	pixman-devel
Requires:	tllist-devel >= 1.0.1

%description devel
Header files for the fcft library.

%package static
Summary:	Static fcft library
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static fcft library.

%prep
%setup -q

%build
%meson build \
	%{!?with_static_libs:--default-library=shared}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md README.md
%attr(755,root,root) %{_libdir}/libfcft.so.*.*
%attr(755,root,root) %ghost %{_libdir}/libfcft.so.4

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfcft.so
%dir %{_includedir}/fcft
%{_includedir}/fcft/fcft.h
%{_includedir}/fcft/stride.h
%{_pkgconfigdir}/fcft.pc
%{_mandir}/man3/fcft_*.3*

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libfcft.a
%endif
%changelog
* Mon Jan 06 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/fcft.git;a=log;h=master

* Fri Jan 03 2025 Jan Palus <atler@pld-linux.org> 9b4304c
- switch to official release tarball

* Thu Jan 02 2025 Jan Palus <atler@pld-linux.org> e268796
- up to 3.1.10

* Wed Oct 23 2024 Jan Palus <atler@pld-linux.org> e0bb7bf
- up to 3.1.9

* Tue Feb 27 2024 Jan Palus <atler@pld-linux.org> 02e27ed
- up to 3.1.8

* Fri Dec 15 2023 Jan Palus <atler@pld-linux.org> cb4a7bf
- up to 3.1.7

* Fri Dec 15 2023 Jan Palus <atler@pld-linux.org> ad8bb7e
- add static_libs bcond

* Fri Jul 14 2023 Jan Palus <atler@pld-linux.org> 8013a32
- up to 3.1.6

* Wed Sep 21 2022 Jan Palus <atler@pld-linux.org> 73d922c
- up to 3.1.5

* Wed Sep 07 2022 Jan Palus <atler@pld-linux.org> cef9ba1
- up to 3.1.4

* Mon Aug 22 2022 Jan Palus <atler@pld-linux.org> d0cbfc6
- up to 3.1.3

* Sat May 21 2022 Jan Palus <atler@pld-linux.org> 738d083
- up to 3.1.2

* Thu May 05 2022 Jan Palus <atler@pld-linux.org> 1a4d35d
- up to 3.1.1

* Thu Feb 10 2022 Jan Palus <atler@pld-linux.org> eaa3c13
- updated -devel deps

* Mon Feb 07 2022 Jan Palus <atler@pld-linux.org> a65db5f
- up to 3.0.1 (new soname)

* Mon Dec 13 2021 Jan Palus <atler@pld-linux.org> 9130a7d
- new

